libetonyek::IWAParser::ObjectMessage Class Reference documentation

libetonyek::IWAParser::ObjectMessage Class Reference

`#include <IWAParser.h>`

## Public Member Functions
| ObjectMessage (IWAParser &parser, unsigned id, unsigned type=0)
| ~ObjectMessage ()
| operator bool () const
const IWAMessage & | get () const
unsigned | getType () const

## Private Attributes
IWAParser & | m_parser
boost::optional< IWAMessage > | m_message
const unsigned | m_id
unsigned | m_type

## Friends
const IWAMessage & | get (const ObjectMessage &msg)

## Constructor & Destructor Documentation

## ◆ ObjectMessage()

libetonyek::IWAParser::ObjectMessage::ObjectMessage | ( | IWAParser & | parser,
|  | unsigned | id,
|  | unsigned | type = 0 )

Referenced by get.

## ◆ ~ObjectMessage()

libetonyek::IWAParser::ObjectMessage::~ObjectMessage | ( |  | ) |

## Member Function Documentation

## ◆ get()

const IWAMessage & libetonyek::IWAParser::ObjectMessage::get | ( |  | ) | const

Referenced by get.

## ◆ getType()

unsigned libetonyek::IWAParser::ObjectMessage::getType | ( |  | ) | const

Referenced by libetonyek::IWAParser::dispatchShape(), libetonyek::IWAParser::parseText(), and libetonyek::IWAParser::updateGeometryUsingTextRef().

## ◆ operator bool()

libetonyek::IWAParser::ObjectMessage::operator bool | ( |  | ) | const

## Friends And Related Symbol Documentation

## ◆ get

const IWAMessage & get | ( | const ObjectMessage & | msg | ) |
| friend

## Member Data Documentation

## ◆ m_id

const unsigned libetonyek::IWAParser::ObjectMessage::m_id
| private

Referenced by ObjectMessage(), and ~ObjectMessage().

## ◆ m_message

boost::optional<IWAMessage> libetonyek::IWAParser::ObjectMessage::m_message
| private

Referenced by get(), ObjectMessage(), operator bool(), and ~ObjectMessage().

## ◆ m_parser

IWAParser& libetonyek::IWAParser::ObjectMessage::m_parser
| private

Referenced by ObjectMessage(), and ~ObjectMessage().

## ◆ m_type

unsigned libetonyek::IWAParser::ObjectMessage::m_type
| private

Referenced by getType(), and ObjectMessage().

The documentation for this class was generated from the following files:

- IWAParser.h
- IWAParser.cpp